#!/bin/sh
#Barry Kauler, Feb. 2012. GPL3 (/usr/share/doc/legal)
#this is the post-install script for a langpack PET created by /usr/sbin/momanager.
#MoManager will replace the strings de and Sprachpaket installiert, voll wirksam nach Neustart des X-Servers!.
#120315 maybe have hunspell dictionaries in langpack.
#120509 L18L delete all Name[$LANG1]=.. in /usr/share/applications to enable changes
#120510 L18L enable translations of gparted
#120529 seamonkey link to version, NO: other solution needed for langpack
#120605 create home.htm from translated home_raw

echo "Post install script for de language pack"

#if [ "$LANG" = "C" ];then #in case caller script did this.
 LANG="`grep '^LANG=' /etc/profile | cut -f 2 -d '=' | cut -f 1 -d ' '`"
 export LANG
#fi
LANG1="`echo -n $LANG | cut -f 1 -d '_'`"  #ex: de

##120509 Need to delete all Name[$LANG1]=..... in /usr/share/applications
cd /usr/share/applications
for AFILE in `ls *.desktop` ;do sed -i "/Name\[${LANG1}/d" $AFILE ;done
cd - ##120509 thus changes are possible too
sed -i 's/^export LANG=C/#export LANG=C/' /usr/sbin/gparted_shell #120510

if [ -d /usr/share/applications.in ];then
 for ADESKTOPFILE in `find /usr/share/applications.in -mindepth 1 -maxdepth 1 -type f -name '*.desktop' | tr '\n' ' '`
 do
  ABASEDESKTOP="`basename $ADESKTOPFILE`"
  if [ -f /usr/share/applications/${ABASEDESKTOP} ];then
   if [ "`grep '^Name\[de\]' /usr/share/applications/${ABASEDESKTOP}`" = "" ];then
    if [ "`grep '^Name\[de\]' /usr/share/applications.in/${ABASEDESKTOP}`" != "" ];then
     #aaargh, these accursed back-slashes! ....
     INSERTALINE="`grep '^Name\[de\]' /usr/share/applications.in/${ABASEDESKTOP} | sed -e 's%\[%\\\\[%' -e 's%\]%\\\\]%'`"
     sed -i '$a\'"`echo -e "${INSERTALINE//[\\]/}"`" /usr/share/applications/${ABASEDESKTOP}  
     INSERTALINE="`grep '^Comment\[de\]' /usr/share/applications.in/${ABASEDESKTOP} | sed -e 's%\[%\\\\[%' -e 's%\]%\\\\]%'`"
     sed -i '$a\'"`echo -e "${INSERTALINE//[\\]/}"`" /usr/share/applications/${ABASEDESKTOP}  
    fi
   fi
  fi
 done
 #rm -r -f usr/share/applications.in
 #...don't remove it. might be useful for ppm when install future packages.
fi

if [ -d /usr/share/desktop-directories.in ];then
 for ADESKTOPFILE in `find /usr/share/desktop-directories.in -mindepth 1 -maxdepth 1 -type f -name '*.directory' | tr '\n' ' '`
 do
  ABASEDESKTOP="`basename $ADESKTOPFILE`"
  if [ -f /usr/share/desktop-directories/${ABASEDESKTOP} ];then
   if [ "`grep '^Name\[de\]' /usr/share/desktop-directories/${ABASEDESKTOP}`" = "" ];then
    if [ "`grep '^Name\[de\]' /usr/share/desktop-directories.in/${ABASEDESKTOP}`" != "" ];then
     #aaargh, these accursed back-slashes! ....
     INSERTALINE="`grep '^Name\[de\]' /usr/share/desktop-directories.in/${ABASEDESKTOP} | sed -e 's%\[%\\\\[%' -e 's%\]%\\\\]%'`"
     sed -i '$a\'"`echo -e "${INSERTALINE//[\\]/}"`" /usr/share/desktop-directories/${ABASEDESKTOP}  
     INSERTALINE="`grep '^Comment\[de\]' /usr/share/desktop-directories.in/${ABASEDESKTOP} | sed -e 's%\[%\\\\[%' -e 's%\]%\\\\]%'`"
     sed -i '$a\'"`echo -e "${INSERTALINE//[\\]/}"`" /usr/share/desktop-directories/${ABASEDESKTOP}  
    fi
   fi
  fi
 done
 rm -r -f /usr/share/desktop-directories.in
fi

#120315 maybe have hunspell dictionaries in langpack (see also momanager)...
for ONEHUN in `find ./usr/share/hunspell -mindepth 1 -maxdepth 1 -type f -name '*.dic' -o -name '*.aff' | tr '\n' ' '`
do
 HUNBASE="`basename $ONEHUN`"
 [ -e ./usr/lib/seamonkey ] && ln -snf ../../../share/hunspell/${HUNBASE} ./usr/lib/seamonkey/dictionaries/${HUNBASE}
 [ -e ./usr/lib/firefox ] && ln -snf ../../../share/hunspell/${HUNBASE} ./usr/lib/firefox/dictionaries/${HUNBASE}
done


if [ "`pwd`" = "/" ];then #installing PET in a running puppy.
 if [ "$LANG1" != "en" ];then
  #need to update SSS translations...
  fixscripts
  fixdesk
  fixmenus
  pupdialog --background green --backtitle "Language Pack" --msgbox "Sprachpaket installiert, voll wirksam nach Neustart des X-Servers!" 0 0 &
 fi
fi

#120529 seamonkey link to version
#if [ -d /usr/lib/seamonkey ]; then
# smversion="`seamonkey --version | cut -d' ' -f3`"
# [ $smversion ] || exit 0
# mv /usr/lib/seamonkey /usr/lib/seamonkey-$smversion
# ln -s /usr/lib/seamonkey-$smversion /usr/lib/seamonkey
#fi

#120605 create home.htm from translated home_raw
. /etc/DISTRO_SPECS
cd /usr/share/doc/help/${LANG1}
sed "s/DISTRO_NAME/${DISTRO_NAME}/" home_raw.htm > home.htm
cd -
# and link to the translation
aFILE='/usr/share/doc/home.htm'
sed "s#<body>#<body>\n<p style='text-align:center;margin-left:20em;color:red;'>Diese Seite <a href='help/${LANG1}/home.htm'>auf deutsch</a></p>#" $aFILE > ${aFILE}_
mv -f ${aFILE}_ $aFILE
# change menu help
sed -i -e "s#exec defaulthtmlviewer file:///usr/share/doc/index.html#puppyhelp#" /etc/xdg/templates/_root_.jwmrc
